
GammaLib - Action #647

Feature # 284 (Closed): Rethink the definition of the GTime class

Add GTimes time container.

12/16/2012 12:50 AM - Knödlseder Jürgen

Status: Closed Start date: 07/07/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 2.00 hours

Target version: 00-07-00   

Description

History

#1 - 12/16/2012 01:12 AM - Knödlseder Jürgen

- Status changed from New to Feedback

- Remaining (hours) changed from 2.0 to 0.0

#2 - 12/16/2012 01:15 AM - Knödlseder Jürgen

- % Done changed from 0 to 100

A container class for times has been added (the code was cloned from the photon container class).

The old typedef used to handle lists of times has been removed.

I also replaced the push_back() by the append() method in the single method that was using the time list before (this was in

GModelTemporalConst::mc).

#3 - 12/20/2012 11:30 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed
